.TH HG ADDREMOVE  "" "" ""
.SH NAME
hg addremove \- add all new files, delete all missing files
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg addremove [OPTION]... [FILE]...
.ft P
.fi
.SH DESCRIPTION
.sp
Add all new files and remove all missing files from the
repository.
.sp
Unless names are given, new files are ignored if they match any of
the patterns in \fB.hgignore\fP. As with add, these changes take
effect at the next commit.
.sp
Use the \-s/\-\-similarity option to detect renamed files. This
option takes a percentage between 0 (disabled) and 100 (files must
be identical) as its parameter. With a parameter greater than 0,
this compares every removed file with every added file and records
those similar enough as renames. Detecting renamed files this way
can be expensive. After using this option, \%\fBhg status \-C\fP\: can be
used to check which files were identified as moved or renamed. If
not specified, \-s/\-\-similarity defaults to 100 and only renames of
identical files are detected.
.sp
Examples:
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.
A number of files (bar.c and foo.c) are new,
while foobar.c has been removed (without using \%\fBhg remove\fP\:)
from the repository:
.sp
.nf
.ft C
$ ls
bar.c foo.c
$ hg status
! foobar.c
? bar.c
? foo.c
$ hg addremove
adding bar.c
adding foo.c
removing foobar.c
$ hg status
A bar.c
A foo.c
R foobar.c
.ft P
.fi
.IP \(bu 2
.
A file foobar.c was moved to foo.c without using \%\fBhg rename\fP\:.
Afterwards, it was edited slightly:
.sp
.nf
.ft C
$ ls
foo.c
$ hg status
! foobar.c
? foo.c
$ hg addremove \-\-similarity 90
removing foobar.c
adding foo.c
recording removal of foobar.c as rename to foo.c (94% similar)
$ hg status \-C
A foo.c
  foobar.c
R foobar.c
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.sp
Returns 0 if all files are successfully added.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-s,  \-\-similarity \ <SIMILARITY>
.
guess renamed files by similarity (0<=s<=100)
.TP
.B \-S,  \-\-subrepos
.
recurse into subrepositories
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.B \-n,  \-\-dry\-run
.
do not perform actions, just print output
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
